Subject: Re: bug#17840: [PATCH] libtool: Use 'file' instead of '/usr/bin/file' on GNU systems.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 16 Jun 2021 16:16:03 -0400

Hello,

Peter Rosin <[email-masked]> writes:

> On 2014-06-24 18:08, Ralf Corsepius wrote:
>> On 06/24/2014 04:37 PM, Ludovic Courtès wrote:
>>> Bob Friesenhahn <[email-masked]> skribis:
>>>
>>>> On Mon, 23 Jun 2014, Ludovic Courtès wrote:
>>>>
>>>>> Hello,
>>>>>
>>>>> The patch below changes occurrences of ‘/usr/bin/file’ to just ‘file’.
>>>>>
>>>>> The impetus is that on systems using GNU Guix, NixOS, GoboLinux, and
>>>>> others, the ‘file’ command is not available as /usr/bin/file, so it must
>>>>> instead be taken from $PATH.
>>>>>
>>>>> (I conservatively left ‘/usr/bin/file’ for more centralized systems such
>>>>> as BSD, IRIX, etc. where it’s more likely to be a valid command.)
>>>>
>>>> Were you able to re-test on all of the impacted platforms?
>>>
>>> No, but that list is verrry long.
>> 
>> Makes me wonder, why this issue has not come up before and what your issue actually is.
>
> I suspect this has something to do with merging /usr/bin and /bin coupled
> with some purist attempt to get rid of the compatibility symlink from one
> to the other.
>
> But that's just a guess.

Ludovic being the creator of GNU Guix, a functional package
manager/distribution, I rather suspect that it comes from the fact that
Guix does not follow the Linux Foundation's File Hierarchy Standard (for
a good reason -- to be able to refer to each input unambiguously based
on their corresponding hash).  On those systems, the only sane way to
find commands is to use the PATH.

HTH,

Maxim